This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 456808 - su takes a long time
su takes a long time
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-27 11:36 EDT by Pete Zaitcev
Modified: 2008-07-31 15:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-31 15:50:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2008-07-27 11:36:20 EDT
Description of problem:

Running su takes a long time before it works.

Version-Release number of selected component (if applicable):

coreutils-6.12-7.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Run "su"
2. Enter password
3.

Actual results:

A long wait

Expected results:

Instantaneous shell prompt

Additional info:

su from root to root is quick, so I cannot use strace to find where
it hangs. However, by attaching strace while it hangs, I found that
it hangs reading from a pipe at descriptor 6.
Comment 1 Pete Zaitcev 2008-07-31 15:50:19 EDT
Seems to work now. I did a general "yum update", coreutils remainded
at 6.12-7.fc10. Must have been a library.

Note You need to log in before you can comment on or make changes to this bug.